## org.eclipse.jet.runtime.model
Interface IModelLoader

    public interface IModelLoader

Loads an object model given an URL reference to a model, or a string form of that model.

Method Summary
`boolean` `canLoad(java.lang.String kind)` Indicate whether the model loader can handle a particular file kind.
`java.lang.Object` `load(java.net.URL modelUrl)` Load a model from the passed URL.
`java.lang.Object` `load(java.net.URL modelUrl, java.lang.String kind)` Load a model from the passed URL.
`java.lang.Object` `loadFromString(java.lang.String serializedModel, java.lang.String kind)` Load a model from a String representation of that model

Method Detail

### load

    java.lang.Object load(java.net.URL modelUrl)
                          throws java.io.IOException

  Load a model from the passed URL.

  Parameters:
    `modelUrl` - a URL referencing the model to load
  Returns:
    the root of the loaded model.
  Throws:
    `java.io.IOException` - if an error occurs while loading the model.

### load

    java.lang.Object load(java.net.URL modelUrl,
                          java.lang.String kind)
                          throws java.io.IOException

  Load a model from the passed URL.

  Parameters:
    `modelUrl` - a URL referencing the model to load
    `kind` - the kind of file (extension) that should be used to contain this content.
  Returns:
    the root of the loaded model.
  Throws:
    `java.io.IOException` - if an error occurs while loading the model.

### loadFromString

    java.lang.Object loadFromString(java.lang.String serializedModel,
                                    java.lang.String kind)
                                    throws java.io.IOException

  Load a model from a String representation of that model

  Parameters:
    `serializedModel` - the String form of the model. Will not be `null`.
    `kind` - the kind of file (extension) that would be used to contain this content.
  Returns:
    the root of the loaded model.
  Throws:
    `java.io.IOException` - if an error occurs while loading the model.

### canLoad

    boolean canLoad(java.lang.String kind)

  Indicate whether the model loader can handle a particular file kind.

  Parameters:
    `kind` - the file kind (extension)
  Returns:
    `true` if the loader can load this kind of file, `false` otherwise.

Copyright 2006 IBM Corporation and others. All Rights Reserved.